Subject: Re: bug#23904: Btrfs clone support in copy operations

From: Paul Eggert <[email-masked]>
Date: Wed, 6 Jul 2016 17:08:33 +0200

On 07/06/2016 04:58 PM, Eli Zaretskii wrote:
> are we sure users will always want this
> unconditionally, completely out of their control?  Does 'cp' from
> Coreutils do the same unconditionally, for example?

No, coreutils cp has an option. As I recall it was put in soon after the 
btrfs feature was added, and we were worried about bugs in btrfs. This 
was several years ago.  We're thinking of making cloning the default in 
cp (on systems that support it) but haven't gotten around to it.

We could add another optional argument to copy-file as well, if there's 
a significant need. I would omit such an option at first, though, as 
that's simpler.